Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1177038 (qt5-qtwebsockets) - Review Request: qt5-qtwebsockets - Qt5 - WebSockets component
Summary: Review Request: qt5-qtwebsockets - Qt5 - WebSockets component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtwebsockets
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-12-23 22:06 UTC by Taylor Braun-Jones
Modified: 2015-04-21 19:12 UTC (History)
4 users (show)

Fixed In Version: qt5-qtwebsockets-5.4.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-12 02:44:37 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Taylor Braun-Jones 2014-12-23 22:06:51 UTC
Spec URL: http://taylor.braun-jones.org/files/2014/12/qt5-qtwebsockets.spec
SRPM URL: http://taylor.braun-jones.org/files/2014/12/qt5-qtwebsockets-5.4.0-1.el7_.centos.src_.rpm

Description:
This is one of the newer Qt "add-ons" modules (like qt5-qtserialport). Official module description:

The QtWebSockets module implements the WebSocket protocol as specified in RFC 6455. It solely depends on Qt (no external dependencies).

Fedora Account System Username: nocnokneo

Comment 1 Rex Dieter 2014-12-27 01:01:54 UTC
Initial comments:

1. License tag NOT ok.

License: LGPLv21, LGPLv3, or GPLv2
is invalid.

I'd suggest the following which matches what is currently used in other qt5 packages:

# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
# See also http://qt-project.org/doc/qt-5.0/qtdoc/licensing.html
License: LGPLv2 with exceptions or GPLv3 with exceptions


2.  Please document (preferably in a .spec comment) why static libs are needed,
BuildRequires:  qt5-qtbase-static >= %{version}

Comment 2 Kevin Kofler 2014-12-27 01:26:57 UTC
The "# define to build docs, need to undef this for bootstrapping" comment above the "docs" boolean is incorrect and redundant for this package. This package is not required to build the qtdoc toolchain, and thus there is no need to bootstrap without docs. The only reason one would want to disable docs here at all is to save build time.

Comment 3 Rex Dieter 2014-12-31 21:48:20 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8508255

sources: ok
0c406bca48296d0d99cc93b00f40aca7  qtwebsockets-opensource-src-5.4.0.tar.xz

naming: ok

macros: ok

scriptlets: ok

The rest looks fairly clean and simple.  Please fix items 1,2 from comment #1, and it looks like we have a winner.

Comment 4 Taylor Braun-Jones 2014-12-31 22:48:03 UTC
(1) There are several inconsistencies in the licensing information that ships with the qtwebsockets package so I've filed a bug to get it sorted out:

https://bugreports.qt-project.org/browse/QTBUG-43611

I'll follow up with an updated spec once that bug gets sorted out. I'll also use the new URL for the 'see also' reference:
http://doc.qt.io/qt-5/licensing.html

(2) qt5-qtbase-static is not actually a build dependencies so it has been removed.

Comment 5 Rex Dieter 2015-01-01 02:53:17 UTC
The missing file is in qt5-qtbase (probably a side effect of monolithic vs. separate module tarballs).  I wouldn't consider it a review blocker, the licensing intent here is fairly consistent and clear.

Comment 7 Rex Dieter 2015-01-02 17:16:34 UTC
Thanks, APPROVED.

Comment 8 Rex Dieter 2015-02-20 20:42:13 UTC
sponsored, please let me know if you need anything else.

Comment 9 Taylor Braun-Jones 2015-02-20 21:07:29 UTC
Thanks, Rex. Do you mind if I list you as a secondary owner for this package?

Comment 10 Rex Dieter 2015-02-20 22:04:38 UTC
Please do, thanks!

Comment 11 Taylor Braun-Jones 2015-03-16 18:46:51 UTC
New Package SCM Request
=======================
Package Name: qt5-qtwebsockets
Short Description: Qt5 - WebSockets component
Upstream URL: http://qt.io
Owners: nocnokneo rdieter
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2015-03-16 20:04:19 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-03-23 16:51:31 UTC
qt5-qtwebsockets-5.4.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtwebsockets-5.4.0-1.el6

Comment 14 Fedora Update System 2015-03-23 16:51:37 UTC
qt5-qtwebsockets-5.4.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/qt5-qtwebsockets-5.4.0-1.el7

Comment 15 Fedora Update System 2015-03-25 20:03:13 UTC
Package qt5-qtwebsockets-5.4.0-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing qt5-qtwebsockets-5.4.0-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1406/qt5-qtwebsockets-5.4.0-1.el7
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-04-11 23:26:29 UTC
qt5-qtwebsockets-5.4.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt5-qtwebsockets-5.4.1-1.fc22

Comment 17 Fedora Update System 2015-04-11 23:28:26 UTC
qt5-qtwebsockets-5.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt5-qtwebsockets-5.4.1-1.fc21

Comment 18 Fedora Update System 2015-04-11 23:30:24 UTC
qt5-qtwebsockets-5.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtwebsockets-5.4.1-1.fc20

Comment 19 Fedora Update System 2015-04-12 02:44:37 UTC
qt5-qtwebsockets-5.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-04-12 02:44:51 UTC
qt5-qtwebsockets-5.4.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-04-21 18:28:01 UTC
qt5-qtwebsockets-5.4.1-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 22 Fedora Update System 2015-04-21 18:34:27 UTC
qt5-qtwebsockets-5.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 23 Fedora Update System 2015-04-21 19:12:11 UTC
qt5-qtwebsockets-5.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.